dofile('data/Scenes/16_straw_umbrella_Anim_open_bilge.lua')

local PATH_COMICS_16_ON_SHOWN              = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
local PATH_COMICS_16_BOY                   = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_16_ON_WIN                = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_16_NO_ADD_OBJECT         = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_16_NO_STICKY_TAPE        = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_16_NO_PUT_HOOK           = 'data/Scenes/Comics/HelpersComicsReplic.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()
	
	---------------------------------------------------------------------------------------------
	AddRandomTasks(12,
                     CreateTask('GAS_TANK', '', 'balloon'),
                     CreateTask('BELL', '', 'bell'),
                     CreateTask('SHUTTLECOCK', '', 'birdie'),
                     CreateTask('BOOTS', '', 'boots'),
                     CreateTask('BUG', '', 'bug'),
                     CreateTask('CAMERA', '', 'camera'),
                     CreateTask('CLOCK', '', 'clock'),
                     
                     CreateTask('LAMP', '', 'lantern'),
                     CreateTask('FLASHLIGHT', '', 'lantern_2'),
                     
                     CreateTask('NOTEBOOK', '', 'notebook'),
                     CreateTask('SAW_BLADE', '', 'saw'),
                     CreateTask('STARFISH', '', 'sea_star'),
                     CreateTask('SHIRT', '', 'shirt'),
                     CreateTask('SURF_BOARD', '', 'surf_board'),
                     CreateTask('THERMOMETER', '', 'thermometer'),
                     CreateTask('TROWEL', '', 'trowel'),
                     
                     CreateTask('BUTTERFLY', '', 'butterfly'),
                     CreateTask('CIGARETTE', '', 'cigarrette'),
                     CreateTask('EGG', '', 'egg'),
                     CreateTask('PAPER', '', 'paper'),
                     CreateTask('SNAIL', '', 'snail'),
                     
                     CreateTask('BEAR', '', 'bear'),
                     CreateTask('BRUSH', 'BRUSHES', 'brush', 'brush_2', 'brush_3', 'brush_4'),
                     CreateTask('FEATHER', '', 'feather'),
                     CreateTask('FISH', '', 'fish'),
                     CreateTask('HAMMER', 'HAMMERS', 'hammer', 'hammer_2'),
                     CreateTask('PEA_POD', 'PEA_PODS', 'pea', 'pea_2'),
                     CreateTask('CRAWFISH', 'CRAWFISH', 'crawfish', 'crawfish_3'),
                     CreateTask('FLAG', 'FLAGS', 'flag', 'flag_2', 'flag_3')
                )
    ---------------------------------------------------------------------------------------------
    pf:IgnoreOnTestPoint('crane_short_without_hook')
    pf:IgnoreOnTestPoint('crane_short')
    pf:IgnoreOnTestPoint('lever_create')
    pf:IgnoreOnTestPoint('lever_use')
    pf:IgnoreOnTestPoint('layer_lever')
    ---------------------------------------------------------------------------------------------
    pf:GetObject('crane_short_without_hook'):SetOpacity(1)
    pf:GetObject('crane_short'):SetOpacity(0)
    ---------------------------------------------------------------------------------------------
    local comp_open_bilge = createCompositionOpenBilge()
    comp_open_bilge:AttachTo(screen)
    comp_open_bilge:SetZ(186)
    comp_open_bilge:SetVisible(false)
    ---------------------------------------------------------------------------------------------
    local zone_bilge = CreateZoomZone('close_zone_bilge',
                                      '', -- pixel_open_bilge
                                      'bg_bilge',
                                      'little_boy',
                                      'little_boy_2'
                                     ) 
    zone_bilge.SetManualUnregister(true)
    zone_bilge.OnShown = function()
        game_state.chain_boy:Play()
        zone_bilge.Blocked()
    end
    pf:GetObject('little_boy_2'):SetMaxOpacity(0)           
    ---------------------------------------------------------------------------------------------
    local zone_cabin = CreateZoomZone('close_zone_cabin',
                                      'pixel_open_cabin',
                                      'bg_cabin',
                                      'sticky_tape',
                                      'lever_in_zoom',
                                      'pixel_add_lever',
                                      'pixel_use_sticky_tape',
                                      'lever_fixed',
                                      'pixel_create_lever',
                                      'pixel_use_lever',
                                      'lever_create',
                                      'lever_use',
                                      
                                      'butterfly',
                                      'cigarrette',
                                      'egg',
                                      'paper',
                                      'paper_layer',
                                      'snail'
                                     )
    pf:GetObject('lever_in_zoom'):SetMaxOpacity(0)
    pf:GetObject('pixel_add_lever'):SetMaxOpacity(0.01)
    pf:GetObject('pixel_use_sticky_tape'):SetMaxOpacity(0.01)
    pf:GetObject('lever_fixed'):SetMaxOpacity(0)
    pf:GetObject('pixel_create_lever'):SetMaxOpacity(0)
    pf:GetObject('pixel_use_lever'):SetMaxOpacity(0)
    
    pf:GetObject('lever_create'):SetMaxOpacity(0)
    pf:GetObject('lever_use'):SetMaxOpacity(0)
    ---------------------------------------------------------------------------------------------
    local photo_action_sticky_tape = function()
                                     end
    local apply_action_sticky_tape = function(save)
                                        if save then
                                            pf:GetObject('lever_fixed'):SetMaxOpacity(1)
                                            pf:GetObject('lever_in_zoom'):SetMaxOpacity(0)
                                            pf:GetObject('pixel_create_lever'):SetMaxOpacity(0.01)
                                        else
                                            local time_ch_opacity = 0.3
                                            zone_cabin.ChangeObjOpacity('lever_fixed', 0, 1, time_ch_opacity)
                                            zone_cabin.ChangeObjOpacity('lever_in_zoom', 1, 0, time_ch_opacity)
                                            TimerDo(pf:GetTimer(), time_ch_opacity, function() 
                                                                                        pf:GetObject('pixel_create_lever'):SetMaxOpacity(0.01)
                                                                                        pf:GetObject('pixel_create_lever'):SetOpacity(0.01)
                                                                                    end )
                                            PlaySound('16_use_sticky_tape')
                                        end
                                     end
    local photo_sticky_tape = CreatePhotoZoneEx('sticky_tape', 'sticky_tape_tool', 
                                                'STICKY_TAPE', 
                                                'sticky_tape_photo', 
                                                 photo_action_sticky_tape, '', apply_action_sticky_tape)
    level:GetTask('sticky_tape'):SetUse(true)
    ---------------------------------------------------------------------------------------------
    local photo_action_lever = function()
                               end
    local apply_action_lever = function(save)
                                 if save then
                                    pf:GetObject('lever_in_zoom'):SetMaxOpacity(1)
                                    pf:GetObject('pixel_add_lever'):SetMaxOpacity(0)
                                    ActivatePhotoZone(photo_sticky_tape, 'pixel_use_sticky_tape')
                                 else
                                    local time_ch_opacity = 0.3
                                    zone_cabin.ChangeObjOpacity('lever_in_zoom', 0, 1, time_ch_opacity)
                                    TimerDo(pf:GetTimer(), time_ch_opacity, function()
                                                                                pf:GetObject('pixel_add_lever'):SetOpacity(0)
                                                                                pf:GetObject('pixel_add_lever'):SetMaxOpacity(0)
                                                                                ActivatePhotoZone(photo_sticky_tape, 'pixel_use_sticky_tape')
                                                                            end )
                                 end
                               end
    local photo_lever = CreatePhotoZone('lever',
                                        'LEVER', 
                                        'lever_photo', 
                                        photo_action_lever, 'pixel_add_lever', apply_action_lever) 
    ---------------------------------------------------------------------------------------------
    local clickOnCreateLever = function(save)
        if save then
            pf:GetObject('lever_create'):SetMaxOpacity(1)
            pf:GetObject('lever_fixed'):SetMaxOpacity(0)
            pf:GetObject('pixel_use_lever'):SetMaxOpacity(0.01)
        else
            local time_ch_opacity = 0.3
            zone_cabin.ChangeObjOpacity('lever_create', 0, 1, time_ch_opacity)
            zone_cabin.ChangeObjOpacity('lever_fixed', 1, 0, time_ch_opacity)
            PlaySound('16_insert_lever')
            TimerDo(pf:GetTimer(), time_ch_opacity, function()
                                                        pf:GetObject('pixel_use_lever'):SetMaxOpacity(0.01)
                                                        pf:GetObject('pixel_use_lever'):SetOpacity(0.01)
                                                    end )
        end

        pf:GetObject('layer_lever'):SetOpacity(0)
    end
    RegisterActiveObject('pixel_create_lever', clickOnCreateLever, false, GetCursorArms())
    ---------------------------------------------------------------------------------------------
    local apply_action_hook = function(save)
                                if save then
                                    pf:GetObject('crane_short_without_hook'):SetOpacity(0)
                                    pf:GetObject('crane_short'):SetOpacity(1)
                                else
                                    pf:GetObject('crane_short_without_hook'):ChangeOpacity(1, 0, 0.1)
                                    pf:GetObject('crane_short'):ChangeOpacity(0, 1, 0.3)
                                    
                                    PlaySound('16_hang_up_hook')
                                end
                                
                                SetHook()
                              end
    local photo_hook = CreatePhotoZone('hook',
                                       'HOOK', 
                                       'hook_photo', 
                                        nil, 'pixel_target_hook', apply_action_hook) 
    ---------------------------------------------------------------------------------------------
    local clickOnUseLever = function(save)
        if GetHook() == false then
            if not save then
                game_state.chain_no_put_hook.Play()
            end
            return
        end            
        
        local state = game_state.scene_path
        local value = 'clickOnUseLever'
        if save and HasGameState(state, value) == false then
            return
        end
        if HasGameState(state, value) == false then
            AddGameState(state, value)
        end
    
        if save then
            pf:GetObject('lever_use'):SetMaxOpacity(1)
            pf:GetObject('lever_create'):SetMaxOpacity(0)
            pf:GetObject('crane_short'):SetOpacity(0)
            RegisterZoomZone(zone_bilge, 'pixel_open_bilge')
            
            comp_open_bilge:SetVisible(true)
            comp_open_bilge:Rewind(true)
        else
            local time_ch_opacity = 0.3
            zone_cabin.ChangeObjOpacity('lever_use', 0, 1, time_ch_opacity)
            zone_cabin.ChangeObjOpacity('lever_create', 1, 0, time_ch_opacity)
            TimerDo(pf:GetTimer(), time_ch_opacity, function()
                                                        pf:GetObject('crane_short'):SetOpacity(0)
                                                        comp_open_bilge:SetVisible(true)
                                                        zone_cabin.SetVisible(false)
                                                    end )
            local comp_duration = comp_open_bilge:GetDuration()
            TimerDo(pf:GetTimer(), time_ch_opacity + ZOOM_ZONE_APPEARING_TIME, function()
                                                                                    comp_open_bilge:Play()
                                                                                end )
            TimerDo(pf:GetTimer(), time_ch_opacity + ZOOM_ZONE_APPEARING_TIME + comp_duration, function()
                                                                                    RegisterZoomZone(zone_bilge, 'pixel_open_bilge')
                                                                               end )                                                                    
            PlaySound('16_press_lever')
        end
        
        UnregisterActiveObject('pixel_use_lever')
        DisableZoomZoneRequest(zone_cabin)
    end
    RegisterActiveObject('pixel_use_lever', clickOnUseLever, true, GetCursorArms())
    ---------------------------------------------------------------------------------------------
    game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_16_ON_SHOWN, 'COMICS_16_ON_SHOWN')
                                                 end )
    game_state.chain_boy = RegisterComicsEx(function()
                                                if not zone_bilge.IsVisible() then
                                                    zone_bilge.SetVisible(true)
                                                else
                                                    LoadComics(PATH_COMICS_16_BOY, 'COMICS_16_HEROES_1')
                                                    CreateOneReplicHeroes('COMICS_16_HEROES_1', 1)
                                                    CreateOneReplicBoys('COMICS_16_BOY_2', 2)
                                                    CreateOneReplicHeroes('COMICS_16_HEROES_3', 3)
                                                    CreateOneReplicBoys('COMICS_16_BOY_4', 4)
                                                    CreateOneReplicHeroes('COMICS_16_HEROES_5', 5)
                                                    CreateOneReplicBoys('COMICS_16_BOY_6', 6)
                                                    CreateOneReplicHeroes('COMICS_16_HEROES_7', 7)
                                                    CreateOneReplicBoys('COMICS_16_BOY_8', 8)
                                                 end
                                                 end )
    game_state.chain_boy.OnHidden = function()
        NotesFound('Notes_8')
        zone_bilge.ChangeObjOpacity('little_boy', 1, 0, 0.2)
        zone_bilge.ChangeObjOpacity('little_boy_2', 0, 1, 0.3)
        TimerDo(pf:GetTimer(), 0.3, function()
                                        zone_bilge.ChangeObjOpacity('little_boy_2', 1, 0, 0.3)
                                        
                                        TimerDo(pf:GetTimer(), 0.3, function()
                                                                        OnWin()
                                                                        zone_bilge.SetManualUnregister(false)
                                                                        DisableZoomZoneRequest(zone_bilge)
                                                                    end )
                                    end )
    end                                                
    game_state.chain_on_win = RegisterComicsEx(function()
                                                    local comics = LoadComics(PATH_COMICS_16_ON_WIN)
                                                    if comics then
                                                        CreateOneReplicHeroes('COMICS_16_ON_WIN_1', 1)
                                                        CreateOneReplicHeroes('COMICS_16_ON_WIN_3', 3)
                                                    end
                                                 end )
    game_state.chain_on_win.OnHidden = function()
        OnWinLevel()
    end
    
    game_state.chain_no_add_object = RegisterComicsEx(function()
                                                        LoadComicsWithOneReplicHeroes(PATH_COMICS_16_NO_ADD_OBJECT, 'COMICS_16_NO_ADD_OBJECT')
                                                      end )
    SetHintComicsPhotoZoneEx(photo_lever, game_state.chain_no_add_object)
    SetHintComicsPhotoZoneEx(photo_hook, game_state.chain_no_add_object)
    game_state.chain_no_sticky_tape = RegisterComicsEx(function()
                                                        LoadComicsWithOneReplicHeroes(PATH_COMICS_16_NO_STICKY_TAPE, 'COMICS_16_NO_STICKY_TAPE')
                                                      end )
    SetHintComicsPhotoZoneEx(photo_sticky_tape, game_state.chain_no_sticky_tape)
    game_state.chain_no_put_hook = RegisterComicsEx(function()
                                                        LoadComicsWithOneReplicHeroes(PATH_COMICS_16_NO_PUT_HOOK, 'COMICS_16_NO_PUT_HOOK')
                                                      end )
    game_state.chain_no_put_hook.SetRepeat(true)                                                    
    ---------------------------------------------------------------------------------------------                                            
end

function SetHook()
    local state = game_state.scene_path .. '__hook_set'
    if GameStateExists(state) == false then
        AddGameState(state, '')
    end
end

function GetHook()
    local state = game_state.scene_path .. '__hook_set'
    return GameStateExists(state)
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
    if fade_out then
        game_state.chain_on_shown.Play()
    end
end

function OnHiddenComics()
end

function OnMinigameCompleted(mini_game)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnWin()
    if play_field:GetLevelScreen():IsCompleteLevel() and
       game_state.chain_boy.played
    then
        game_state.chain_on_win.Play()
    end 
end

function OnLose()
end

function OnExit()
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectRightMouseDown(object)
end

function OnObjectRightMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function OnLostFocus()
end

function OnGainFocus()
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/balloon.png',0,0,24,73,1,0)
	anim:SetHotSpot(12,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('balloon',anim,468,426,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/bell.png',0,0,53,66,1,0)
	anim:SetHotSpot(26,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell',anim,925,328,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/bug.png',0,0,51,50,1,0)
	anim:SetHotSpot(25,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bug',anim,315,105,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/lantern.png',0,0,30,36,1,0)
	anim:SetHotSpot(15,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lantern',anim,490,154,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/notebook.png',0,0,69,44,1,0)
	anim:SetHotSpot(34,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('notebook',anim,294,477,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/sea_star.png',0,0,68,38,1,0)
	anim:SetHotSpot(34,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sea_star',anim,262,527,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/shirt.png',0,0,87,93,1,0)
	anim:SetHotSpot(43,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shirt',anim,342,330,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/surf_board.png',0,0,31,105,1,0)
	anim:SetHotSpot(15,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('surf_board',anim,214,214,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/thermometer.png',0,0,19,74,1,0)
	anim:SetHotSpot(9,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('thermometer',anim,739,480,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/trowel.png',0,0,66,34,1,0)
	anim:SetHotSpot(33,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('trowel',anim,468,477,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/layers/layer_thermometer.png',0,0,24,79,1,0)
	anim:SetHotSpot(12,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_thermometer',anim,740,481,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_cabin',anim,957,499,220,0,16,12)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomCabin/bg_cabin.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_cabin',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomCabin/sticky_tape.png',0,0,65,47,1,0)
	anim:SetHotSpot(32,23)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sticky_tape',anim,320,417,550,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomCabin/sticky_tape_tool.png',0,0,54,35,1,0)
	anim:SetHotSpot(27,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sticky_tape_tool',anim,89,471,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/photo/sticky_tape_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sticky_tape_photo',anim,96,611,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomCabin/lever.png',0,0,72,38,1,0)
	anim:SetHotSpot(36,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lever',anim,448,514,170,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/photo/lever_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lever_photo',anim,101,608,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_add_lever',anim,551,525,592,0,15,7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_use_sticky_tape',anim,530,523,590,0,7,7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_create_lever',anim,563,519,590,0,14,10)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomCabin/lever_create.png',0,0,86,149,1,0)
	anim:SetHotSpot(43,74)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lever_create',anim,514,477,600,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomCabin/item/butterfly.png',0,0,54,57,1,0)
	anim:SetHotSpot(27,28)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('butterfly',anim,258,190,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomCabin/lever_use.png',0,0,93,141,1,0)
	anim:SetHotSpot(46,70)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lever_use',anim,511,488,610,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomCabin/item/cigarrette.png',0,0,46,21,1,0)
	anim:SetHotSpot(23,10)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('cigarrette',anim,673,428,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomCabin/item/egg.png',0,0,34,27,1,0)
	anim:SetHotSpot(17,13)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('egg',anim,368,502,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomCabin/item/paper.png',0,0,56,109,1,0)
	anim:SetHotSpot(28,54)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('paper',anim,747,381,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomCabin/item/snail.png',0,0,73,94,1,0)
	anim:SetHotSpot(36,47)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('snail',anim,445,558,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/hook.png',0,0,72,42,1,0)
	anim:SetHotSpot(36,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hook',anim,681,455,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/photo/hook_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hook_photo',anim,96,603,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_target_hook',anim,423,318,200,0,6,12)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomCabin/layers/paper_layer.png',0,0,66,54,1,0)
	anim:SetHotSpot(33,27)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('paper_layer',anim,752,421,650,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_bilge',anim,531,538,130,0,24,12)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/layers/crane_short_without_hook.png',0,0,91,331,1,0)
	anim:SetHotSpot(45,165)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crane_short_without_hook',anim,417,154,180,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/layers/crane_short.png',0,0,91,386,1,0)
	anim:SetHotSpot(45,193)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crane_short',anim,417,185,185,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_use_lever',anim,512,492,595,0,10,14)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomBilge/bg_bilge.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_bilge',anim,512,385,900,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomBilge/little_boy.png',0,0,208,224,1,0)
	anim:SetHotSpot(104,112)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('little_boy',anim,501,341,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomBilge/little_boy_2.png',0,0,237,215,1,0)
	anim:SetHotSpot(118,107)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('little_boy_2',anim,454,308,930,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomCabin/lever_in_zoom.png',0,0,188,102,1,0)
	anim:SetHotSpot(94,51)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lever_in_zoom',anim,599,520,550,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/ZoomCabin/lever_fixed.png',0,0,217,102,1,0)
	anim:SetHotSpot(108,51)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lever_fixed',anim,589,520,580,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/birdie.png',0,0,35,29,1,0)
	anim:SetHotSpot(17,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('birdie',anim,905,404,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/layers/layer_lever.png',0,0,50,75,1,0)
	anim:SetHotSpot(25,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_lever',anim,921,506,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/layers/layer_surf_board.png',0,0,38,44,1,0)
	anim:SetHotSpot(19,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_surf_board',anim,226,251,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/animations/bird_of_prey.png',0,0,216,71,52,10)
	anim:SetHotSpot(108,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bird_of_prey',anim,811,65,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/animations/waves.png',0,0,324,209,24,10)
	anim:SetHotSpot(162,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('waves',anim,366,664,90,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/camera.png',0,0,132,99,1,0)
	anim:SetHotSpot(66,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('camera',anim,454,690,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/clock.png',0,0,34,39,1,0)
	anim:SetHotSpot(17,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clock',anim,228,497,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/saw.png',0,0,37,35,1,0)
	anim:SetHotSpot(18,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saw',anim,276,268,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/boots.png',0,0,48,51,1,0)
	anim:SetHotSpot(24,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boots',anim,220,285,130,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/brush.png',0,0,90,28,1,0)
	anim:SetHotSpot(45,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush',anim,778,380,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/brush_2.png',0,0,33,70,1,0)
	anim:SetHotSpot(16,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush_2',anim,285,409,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/brush_3.png',0,0,38,79,1,0)
	anim:SetHotSpot(19,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush_3',anim,638,615,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/brush_4.png',0,0,46,34,1,0)
	anim:SetHotSpot(23,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush_4',anim,312,279,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/feather.png',0,0,50,35,1,0)
	anim:SetHotSpot(25,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('feather',anim,227,96,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/fish.png',0,0,85,66,1,0)
	anim:SetHotSpot(42,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fish',anim,818,427,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/hammer.png',0,0,117,49,1,0)
	anim:SetHotSpot(58,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hammer',anim,619,745,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/hammer_2.png',0,0,75,37,1,0)
	anim:SetHotSpot(37,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hammer_2',anim,266,322,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/lantern_2.png',0,0,63,30,1,0)
	anim:SetHotSpot(31,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lantern_2',anim,992,330,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/pea.png',0,0,67,41,1,0)
	anim:SetHotSpot(33,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pea',anim,393,631,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/pea_2.png',0,0,44,71,1,0)
	anim:SetHotSpot(22,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pea_2',anim,895,568,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/crawfish.png',0,0,62,57,1,0)
	anim:SetHotSpot(31,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crawfish',anim,678,656,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/crawfish_3.png',0,0,60,61,1,0)
	anim:SetHotSpot(30,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crawfish_3',anim,681,353,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/flag.png',0,0,82,61,1,0)
	anim:SetHotSpot(41,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flag',anim,767,135,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/flag_2.png',0,0,33,25,1,0)
	anim:SetHotSpot(16,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flag_2',anim,478,242,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/flag_3.png',0,0,71,44,1,0)
	anim:SetHotSpot(35,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flag_3',anim,629,290,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/layers/layer_bear.png',0,0,28,40,1,0)
	anim:SetHotSpot(14,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_bear',anim,728,73,130,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/layers/layer_flag_3.png',0,0,30,25,1,0)
	anim:SetHotSpot(15,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_flag_3',anim,658,284,130,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_straw_umbrella_/items/bear.png',0,0,93,52,1,0)
	anim:SetHotSpot(46,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bear',anim,689,68,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
